# Record Class CAI1Metadata.Time

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1Metadata.Time

Record Components:
  `fieldKey` - The metadata value key.
  `fieldValue` - The metadata value.

All Implemented Interfaces:
  `CAI1Metadata`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

Enclosing interface:
  `CAI1Metadata`

public static record CAI1Metadata.Time(CAI1TypeRecordFieldIdentifier fieldKey, com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldValue) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, CAI1Metadata

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface com.io7m.cardant.protocol.inventory.cb.CAI1Metadata

  `CAI1Metadata.Integral, CAI1Metadata.Monetary, CAI1Metadata.Real, CAI1Metadata.Text, CAI1Metadata.Time`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Time(CAI1TypeRecordFieldIdentifier fieldKey, com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldValue)`
  Creates an instance of a `Time` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1Metadata.Time`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.Time.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CAI1TypeRecordFieldIdentifier`
  `fieldKey()`
  Returns the value of the `fieldKey` record component.
  `com.io7m.cedarbridge.runtime.time.CBOffsetDateTime`
  `fieldValue()`
  Returns the value of the `fieldValue` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1Metadata.Time $x)`
  Serialize a value of type com.io7m.cardant.protocol.inventory.cb.Time.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Time

    public Time(CAI1TypeRecordFieldIdentifier fieldKey, com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldValue)
    Creates an instance of a `Time` record class.
    Parameters:
      `fieldKey` - the value for the `fieldKey` record component
      `fieldValue` - the value for the `fieldValue` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1Metadata.Time $x) throws IOException
    Serialize a value of type com.io7m.cardant.protocol.inventory.cb.Time.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1Metadata.Time deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.Time.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type com.io7m.cardant.protocol.inventory.cb.Time.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldKey

    public CAI1TypeRecordFieldIdentifier fieldKey()
    Returns the value of the `fieldKey` record component.
    Returns:
      the value of the `fieldKey` record component

  - ### fieldValue

    public com.io7m.cedarbridge.runtime.time.CBOffsetDateTime fieldValue()
    Returns the value of the `fieldValue` record component.
    Returns:
      the value of the `fieldValue` record component